#!/bin/sh

usage()
{
    echo "This script is intended to be invoked by vip-up.sh or vip-down.sh"
    exit 1
}

[ $# -eq 2 ] || usage

VRID=$1
OP=$2
MYDIR=`dirname $0`

if [ "$VRID" -lt "1" -o "$VRID" -gt 255 ]; then
    echo "VRID must be in the 1 to 255 range."
    exit 2
fi

LISTFILE="$MYDIR/vip-$VRID.list"
if ! [ -s "$LISTFILE" ]; then
    echo "$LISTFILE is missing or empty, no action taken."
    exit 1
fi

egrep ^[^#] $LISTFILE | sed -e 's/^ *\(.*\) *$/\1/' \
    | xargs --max-lines=1 ip address $OP &>/dev/null

